Package org.eclipse.rdf4j.sail.inferencer.fc.config

## Class CustomGraphQueryInferencerConfig

- java.lang.Object
- - org.eclipse.rdf4j.sail.config.AbstractSailImplConfig
  - - org.eclipse.rdf4j.sail.config.AbstractDelegatingSailImplConfig
    - - org.eclipse.rdf4j.sail.inferencer.fc.config.CustomGraphQueryInferencerConfig

- All Implemented Interfaces:
    `DelegatingSailImplConfig`, `SailImplConfig`

      public final class CustomGraphQueryInferencerConfig
      extends AbstractDelegatingSailImplConfig

  Configuration handling for `CustomGraphQueryInferencer`.
  Author:
    Dale Visser

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Pattern` | `SPARQL_PATTERN` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CustomGraphQueryInferencerConfig()` |
    `CustomGraphQueryInferencerConfig​(SailImplConfig delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `buildMatcherQueryFromRuleQuery​(QueryLanguage language, String ruleQuery)` |
    `Resource` | `export​(Model m)` |
    `String` | `getMatcherQuery()` |
    `QueryLanguage` | `getQueryLanguage()` |
    `String` | `getRuleQuery()` |
    `void` | `parse​(Model m, Resource implNode)` |
    `void` | `setMatcherQuery​(String matcherQuery)` | Set the optional matcher query.
    `void` | `setQueryLanguage​(QueryLanguage language)` |
    `void` | `setRuleQuery​(String ruleQuery)` |
    `void` | `validate()` | Validates this configuration.

    - ### Methods inherited from class org.eclipse.rdf4j.sail.config.AbstractDelegatingSailImplConfig

      `getDelegate, setDelegate`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.config.AbstractSailImplConfig

      `getConnectionTimeOut, getIterationCacheSyncThreshold, getType, setConnectionTimeOut, setIterationCacheSyncThreshold, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.config.SailImplConfig

      `getIterationCacheSyncThreshold, getType`

- - ### Field Detail

    - #### SPARQL_PATTERN

          public static final Pattern SPARQL_PATTERN

  - ### Constructor Detail

    - #### CustomGraphQueryInferencerConfig

          public CustomGraphQueryInferencerConfig()

    - #### CustomGraphQueryInferencerConfig

          public CustomGraphQueryInferencerConfig​(SailImplConfig delegate)

  - ### Method Detail

    - #### setQueryLanguage

          public void setQueryLanguage​(QueryLanguage language)

    - #### getQueryLanguage

          public QueryLanguage getQueryLanguage()

    - #### setRuleQuery

          public void setRuleQuery​(String ruleQuery)

    - #### getRuleQuery

          public String getRuleQuery()

    - #### setMatcherQuery

          public void setMatcherQuery​(String matcherQuery)

      Set the optional matcher query.
      Parameters:
        `matcherQuery` - if null, internal value will be set to the empty string

    - #### getMatcherQuery

          public String getMatcherQuery()

    - #### parse

          public void parse​(Model m,
                            Resource implNode)
                     throws SailConfigException

      Specified by:
        `parse` in interface `SailImplConfig`
      Overrides:
        `parse` in class `AbstractDelegatingSailImplConfig`
      Throws:
        `SailConfigException`

    - #### validate

          public void validate()
                        throws SailConfigException

      Description copied from interface: `SailImplConfig`
      Validates this configuration. A `SailConfigException` is thrown when the configuration is invalid. The exception should contain an error message that indicates why the configuration is invalid.
      Specified by:
        `validate` in interface `SailImplConfig`
      Overrides:
        `validate` in class `AbstractDelegatingSailImplConfig`
      Throws:
        `SailConfigException` - If the configuration is invalid.

    - #### export

          public Resource export​(Model m)

      Specified by:
        `export` in interface `SailImplConfig`
      Overrides:
        `export` in class `AbstractDelegatingSailImplConfig`

    - #### buildMatcherQueryFromRuleQuery

          public static String buildMatcherQueryFromRuleQuery​(QueryLanguage language,
                                                              String ruleQuery)
                                                       throws MalformedQueryException

      Throws:
        `MalformedQueryException`